%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Nagios-Plugin
%define up_version 0.36

Summary: Family of perl modules to streamline writing Nagios
Name: perl-Nagios-Plugin
Version: 0.36.1
Release: op5.1
License: (GPL+ or Artistic) and (GPLv2+ or Artistic)
Group: Development/Libraries
URL: http://search.cpan.org/dist/Nagios-Plugin/

Source0: http://www.cpan.org/modules/by-module/Nagios/Nagios-Plugin-%{up_version}.tar.gz
BuildRoot: %{_tmppath}/%{real_name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Math::Calc::Units)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More) >= 0.62

Requires: perl(Carp)
Requires: perl(Class::Accessor)
Requires: perl(Class::Accessor::Fast)
Requires: perl(Config::Tiny)
Requires: perl(File::Basename)
Requires: perl(File::Spec)
Requires: perl(IO::File)
Requires: perl(Math::Calc::Units)
Requires: perl(Params::Validate)

### remove autoreq Perl dependencies
#%filter_from_requires /^perl.*/d
#%filter_setup

%description
Nagios::Plugin and its associated Nagios::Plugin::* modules are a family of
perl modules to streamline writing Nagios plugins. The main end user modules
are Nagios::Plugin, providing an object-oriented interface to the entire
Nagios::Plugin::* collection, and Nagios::Plugin::Functions, providing a
simpler functional interface to a useful subset of the available functionality.

The purpose of the collection is to make it as simple as possible for
developers to create plugins that conform the Nagios Plugin guidelines
(http://nagiosplug.sourceforge.net/developer-guidelines.html).

%prep
%setup -n %{real_name}-%{up_version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Nagios::Plugin.3pm*
%doc %{_mandir}/man3/Nagios::Plugin::*.3pm*
%dir %{perl_vendorlib}/Nagios/
%{perl_vendorlib}/Nagios/Plugin/
%{perl_vendorlib}/Nagios/Plugin.pm

%changelog
* Mon May 27 2013 Martin Kamijo <mk@op5.com>
- Initial package. Spec origial from rf.
